package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.TipoEventoExtraEmpresaDAO;
import com.rjconsultores.ventaboletos.entidad.TipoEventoExtra;
import com.rjconsultores.ventaboletos.entidad.TipoEventoExtraEmpresa;

@Repository("tipoEventoExtraEmpresaDAO")
public class TipoEventoExtraEmpresaHibernateDAO extends GenericHibernateDAO<TipoEventoExtraEmpresa, Integer> implements
TipoEventoExtraEmpresaDAO {

	@Autowired
	public TipoEventoExtraEmpresaHibernateDAO (
			@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public List<TipoEventoExtraEmpresa> obtenerTodos() {
		Criteria c = getSession().createCriteria(getPersistentClass());

		return c.list();
	}

	@Override
	public List<TipoEventoExtraEmpresa> buscarPorTipoEventoExtra(TipoEventoExtra tipoeventoextra) {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq("tipoeventoextra", tipoeventoextra));
		
		return c.list();
	}
	
}
